function y = app(f,x)
%PDERIV/APP	Apply a derivative function
%   Y = APP(F, X) computes the application of function F to the derivative representation X where F has form [f(x) f'(x)] = F(X).

[y0 y1] = f(pderiv_d0(x));
x.v = pderiv_v(y0);
x.d = repshift(y1,size(x.d,1)) .* x.d;
y = x;
