function display(d)
%PDERIV/DISPLAY

space();
if isscalar(d)
    show(inputname(1), char(d));
else
    sp(inputname(1), d, []);
end

function sp(in, d, p)
    n = [in '.d' int2str(length(p))];
    if ~isempty(p)
        n = [n '(' join2str(@int2str, ',', p) ')'];
    end
    show(n, pderiv_v(d))
    if isobject(d)
        for i = 1:count(d)
            sp(in, pderiv_d1(d,i), [p i])
        end
    end

function show(v, s)
    disp([v ' ='])
    space();
    if ischar(s)
        disp(['     ' s])
        space();
    else
        disp(s)
    end

function space()
    if ~isequal(get(0,'FormatSpacing'),'compact')
        disp(' ')
    end
