function [x,i] = max(x,y)
%PDERIV/MAX	Maximum
% This is a "winner take all" implementation, in which the result is identical to the first, largest value.
% Note that the derivative of max has a discontinuity in this case, and so this implementation is not fully correct.
% The dimension argument is not yet supported: only the first dimension is used.

if nargin == 2
    i = y > x;
    if isscalar(x)
        if isobject(y)
            x = pderiv_setsub(y, {~i}, x);
        else
            x = repmat(x, size(y));
            x = pderiv_setsub(x, {i}, pderiv_subs(y, {i}));
        end
    elseif isobject(x)
        if isscalar(y)
            x = pderiv_setsub(x, {i}, y);
        else
            x = pderiv_setsub(x, {i}, pderiv_subs(y, {i}));
        end
    elseif isscalar(y)
        y = repmat(y, size(x));
        x = pderiv_setsub(y, {~i}, pderiv_subs(x, {~i}));
    else
        x = pderiv_setsub(y, {~i}, pderiv_subs(x, {~i}));
    end
else
    [l s1 s] = sizeshift(size(x.d));
    [m,i] = max(x.v,[],1);
    n = numel(i);
    x = pderiv_subs(x, {sub2ind([s1 n], i(:), (1:n)')});
    x = reshape(x, [min(s1,1) s]);
end
