function z = plus(x,y)
%PDERIV/PLUS	Add
%   Z = X + Y computes the derivative representation of the sum X+Y, computed pair-wise across all components.

if ~isobject(x)
    if ~isscalar(x) && isscalar(y)
        y.d = repmat(y.d, [1 size(x)]);
    end
    y.v = y.v + x;
    z = y;
elseif ~isobject(y)
    if ~isscalar(y) && isscalar(x)
        x.d = repmat(x.d, [1 size(y)]);
    end
    x.v = x.v + y;
    z = x;
else
    x.v = x.v + y.v;
    x.d = map11(@plus, x.d, y.d);
    %x.d = bsxplus(x.d, y.d);
    z = x;
end
