function z = rdivide(x,y)
%PDERIV/RDIVIDE	Divide
%   Z = X ./ Y computes the derivative representation of the quotient X/Y, computed as (Y*X'-X*Y')/(Y*Y) for each element

if ~isobject(x)
    y0 = pderiv_d0(y);
    y.v = x ./ y.v;
    y.d = map01(@ldivide, y0.*y0, -map01(@times,x,y.d));
    z = y;
elseif ~isobject(y)
    x.v = x.v ./ y;
    x.d = map01(@ldivide, y.*y, map01(@times,y,x.d));
    z = x;
else
    x0 = pderiv_d0(x);
    y0 = pderiv_d0(y);
    x.v = x.v ./ y.v;
    x.d = map01(@ldivide, y0.*y0, map01(@times,y0,x.d) - map01(@times,x0,y.d));
    z = x;
end
